View Issue Details

IDProjectCategoryView StatusLast Update
0000965Main CAcert Websitewebsite contentpublic2013-03-01 23:55
ReporterUli60 Assigned ToNEOatNHNG  
PrioritynormalSeveritytextReproducibilityalways
Status needs workResolutionfixed 
Fixed in Version2011 Q4 
Summary0000965: Outsource / fix Webdb text pages id=12, 13, (17)
Descriptionbug 0000671 has been started, some fixes applied
http://www.cacert.org/index.php?id=12
http://www.cacert.org/index.php?id=13
http://www.cacert.org/index.php?id=17 (to handle under bug 0000964)
are still open
Additional Informationhttp://www.cacert.org/index.php?id=12 still has been added to wiki
=> https://wiki.cacert.org/FAQ/AboutUs
   to handle like https://www.cacert.org/index.php?id=19
TagsNo tags attached.
Reviewed byTed, NEOatNHNG
Test Instructions

Relationships

related to 0000927 new VBScript error when trying to install certificate in IE8 
related to 0000901 new Renewal of certificate with WIN 7 and IE8 
related to 0000847 needs feedback Key stength is not available for creating client certificate 
child of 0000671 solved?Uli60 cms pages in online website need review for deprecation 
child of 0000964 closed VBscript, Weak Keys script 4.php, 17.php to combine / select box key size and lower limit to 2048 

Activities

Uli60

2011-07-28 12:05

updater   ~0002219

Last edited: 2011-07-28 19:02

View 5 revisions

to add wiki pages for id=13 and id=17

id12 (About CAcert.org) read carefully, might be out of date
    => https://wiki.cacert.org/FAQ/AboutUs [^]
       still needs fixed

id13 (Donations) "strict guidelines" please provide reference
     => https://wiki.cacert.org/FAQ/DonationsGuideline
        still needs fixed

id17 ? is this accurate? Should this be on the website?
     => still needs fixed, to handle under bug 0000964

Uli60

2011-07-28 12:54

updater   ~0002220

Last edited: 2011-07-28 13:15

View 2 revisions

id=13 -> Donations

wiki search
Donate => http://wiki.cacert.org/CacertDonate
          redirects to
          http://wiki.cacert.org/HelpingCAcert
            with backlink to id=13

Donating => 0 result

Donation => http://wiki.cacert.org/comma/RegularCampaigns/DonationCollection
            empty page

Donations => 0 result

Donate (Full text search)
- http://wiki.cacert.org/CacertDonate ... 1 match #redirect HelpingCAcert
- http://wiki.cacert.org/SelfSustainabilityIdeas
   -> Donations - Expand the donations base. Possibility to donate CAcert
      yearly as yearly sponsor, similar as FSFE Fellowship? ...
- http://wiki.cacert.org/HelpingCAcert
   -> ... or you can [[http://www.cacert.org/index.php?id=13|Donate]] ...
- http://wiki.cacert.org/CacertMembership
   -> ... If you want to donate money please do so. You do not need
      to be an association member to donate funds. ...
- http://wiki.cacert.org/AssurerChallenge
   -> .. and 10 EUR for global mail. See
      http://www.cacert.org/index.php?id=13 on how to donate,
      or use the Donate button after passing the test ...
- http://wiki.cacert.org/SystemAdministration/InfrastructureHost
   -> manages the machine, does it MG's way. 1. donates his account
      with .. to CAcert
- http://wiki.cacert.org/FrenchCommunity/Documents_techniques
   -> *** [[CacertDonate|Dons à Cacert]] - Une manière de soutenir la
      communauté CAcert.org
- http://wiki.cacert.org/FAQ/LostPasswordOrAccount
   -> Alternatively you are welcome to donate your work worth
      about $US 15 to CAcert, ...
- http://wiki.cacert.org/FAQ/GettingSupport
   -> ... feel free to have a look at CacertDonate
- http://wiki.cacert.org/FAQ/CommonQuestions
   -> ... How can I Applying for a CAcert Membership or Donating to CAcert -
      * See CacertDonate and CacertMembership ...
- http://wiki.cacert.org/ContentReviewTeam/case0030
   -> ... could use for CAcert, the price for non-profit usage is
      $ 389.95 Everyone who wants to donate money to CAcert to be
      able to buy that database, please contact CAcert. ...
- http://wiki.cacert.org/ContentReviewTeam/case0010
   -> ... XXX ...
- http://wiki.cacert.org/CAcert-de
   -> ... * CacertDonate - Ways to support CAcert community ...
- http://wiki.cacert.org/CAcert
   -> ... Research and development projects where your help is
      needed * CacertDonate * ...
- http://wiki.cacert.org/Brain/PoliciesAndSignificantTechnicalStandards/CertificationPracticeStatement
   -> ... ...make contributions to CAcert, either because they have
      been paid for this services, or donated them. Services include,
      but are not limited to any of their own graphical design
      work... ...
- http://wiki.cacert.org/AssuranceOrganisationalTechnicalDocuments
   -> ... * CacertDonate - Ways to support CAcert community * ...

The https://svn.cacert.org/CAcert/Policies/PolicyOnFoundations.html is still in WIP, that covers some topics regarding donations

Uli60

2011-07-28 15:14

updater   ~0002221

started with wiki page
https://wiki.cacert.org/FAQ/DonationsGuideline

Uli60

2011-07-28 18:54

updater   ~0002222

Last edited: 2011-07-28 19:00

View 2 revisions

id=17
http://www.cacert.org/index.php?id=17 text
-----------------------------------------------------------
Install a Root Certificate using Internet Explorer and the CEnroll ActiveX control. This avoids the Microsoft Certificate Installation wizard and all of its complexity and extra screens for users. This however will ONLY work for Microsoft Internet Explorer.
-----------------------------------------------------------
linked from page: Root Certificates
http://www.cacert.org/index.php?id=16
under link
"Click here if you want to import the root certificate into Microsoft Internet Explorer 5.x/6.x"
if used under ff
link results in error message using IE7
Benutzer-Agent: Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0)
Zeitstempel: Thu, 28 Jul 2011 18:43:05 UTC
Message: Syntaxerror
Line: 130
Char: 49
Code: 0
URI: http://www.cacert.org/index.php?id=17

On pageload a VBscript ONLOAD="InstallCert" is triggered.
On success or failures, the script is redirected to id=18
if starting vbscript is impossible, the reported text will be displayed

The question now is:
should this function be disabled (as it works only for IE5, IE6 ?) or
should this function still kept alive ?
If kept alive, whats with the text?
is currently under development bug 0000964
read https://wiki.cacert.org/Software/Assessment/20110726-S-A-MiniTOP
minutes top 5:
VBscript, Weak Keys script - awaiting dirks deployment
    * dirk DEV: a20110312.1 bug#918 Weak keys: /pages/account/.. 4.php, 17.php to combine ? (/includes/keygen.php) DEV {-}
    * vbscript needs to be improved with select box key size and lower
      limit to 2048 (based on https://wiki.mozilla.org/CA:MD5and1024)
    * Api ?CertEnroll (MS crypto provider)
    * new bug 0000964
          o current state: test /account/4.php added to testserver
          o Marcus will do detailed tests on Wed
ok, id=17 to be handled under bug 0000964

Uli60

2011-07-28 21:35

updater  

12.php (1,006 bytes)

Uli60

2011-07-28 21:35

updater  

13.php (4,406 bytes)

Uli60

2011-07-28 21:35

updater  

index.php (28,119 bytes)

Uli60

2011-07-28 21:37

updater   ~0002225

patch consists of following files:
/pages/index/12.php (for id=12 fix)
/pages/index/13.php (for id=13 fix)
/www/index.php (for id=12 fix)

Ted

2011-08-02 21:15

administrator   ~0002250

Created git branch bug-965, merged with master and installed on the testserver

alex

2011-08-16 22:04

reporter   ~0002297

Last edited: 2011-08-16 22:07

View 2 revisions

1) id=13 (Donate)

https links in its StrictGuidelines to https://wiki.cacert.org/FAQ/DonationsGuideline

http links in its StrictGuidelines to http://wiki.cacert.org/FAQ/DonationsGuideline

Link to Paypal is always https and same

OK

2) id=12 (About)

https redirects to https://wiki.cacert.org/FAQ/AboutUs

http redirects to http://wiki.cacert.org/FAQ/AboutUs

Looks unnice because different layout but OK

Suggestion: Open new "window" (or tab) instead of same browser window.

Uli60

2011-08-31 00:22

updater   ~0002373

Last edited: 2011-08-31 00:22

View 2 revisions

Not Logged In
--------------
main webpage bottom
About link (12) -> click ->
redirects to wiki page http://wiki.cacert.org/FAQ/AboutUs
=> ok, as expected

main webpage bottom
Donation link (13) -> click ->
redirects to Donations page (within webdb)
http://cacert1.it-sls.de/index.php?id=13
link under "strict guidelines" links to
http://wiki.cacert.org/FAQ/DonationsGuideline
clicked - redirects to the wiki page
=> ok, as expected


Login to existing user account
------------------------------
main page after login - bottom
About link - points to https://cacert1.it-sls.de/account.php?id=37
displays a dupe page of id=12 but not on wiki, but within webdb
https://cacert1.it-sls.de/account.php?id=37
=> fail

main page after login - bottom
Donations link - points to https://cacert1.it-sls.de/account.php?id=38
dispalys a dupe page of id=13. Page
https://cacert1.it-sls.de/account.php?id=38
has the text "strict guidelines" but no link with it
=> fail

Uli60

2011-08-31 00:35

updater  

37.php (1,006 bytes)

Uli60

2011-08-31 00:35

updater  

38.php (4,407 bytes)

Uli60

2011-08-31 00:50

updater  

account.php (3,007 bytes)

Uli60

2011-08-31 00:52

updater   ~0002374

3 addtl. files for logged-in case

patch consists of following files:
/pages/account/37.php (for id=37 fix) similiar to id=12 fix
/pages/account/38.php (for id=38 fix) similiar to id=13 fix
/www/account.php (for id=37 fix) similiar to id=12 fix + www/index.php fix

Ted

2011-09-24 22:15

administrator   ~0002506

Added changes to bug-965, merged into master and installed on testserver

Ted

2011-09-24 22:24

administrator   ~0002507

Changes added to bug-965, merged into master and installed on testserver.

Ted

2011-09-24 22:25

administrator   ~0002508

Did review and some quick tests, everything looks OK.

Uli60

2011-09-25 00:27

updater   ~0002511

logged out
main site - footer - "about us" link ->
https://cacert1.it-sls.de/index.php?id=12
clicked -> redirects to https://wiki.cacert.org/FAQ/AboutUs
=> ok

main site - footer - "Donations" link ->
https://cacert1.it-sls.de/index.php?id=13
clicked -> redirects to https://cacert1.it-sls.de/index.php?id=13 (Donations)
link under "strict guidelines" -> https://wiki.cacert.org/FAQ/DonationsGuideline
redirects to https://wiki.cacert.org/FAQ/DonationsGuideline
=> ok

login to regular user account
main site - footer - "about us" link ->
https://cacert1.it-sls.de/account.php?id=37
clicked -> redirects to https://wiki.cacert.org/FAQ/AboutUs
=> ok

main site - footer - "Donations" link ->
https://cacert1.it-sls.de/account.php?id=38
clicked -> redirects to https://cacert1.it-sls.de/account.php?id=38 (Donations)
link under "strict guidelines" -> https://wiki.cacert.org/FAQ/DonationsGuideline
redirects to https://wiki.cacert.org/FAQ/DonationsGuideline
=> ok

test completed successful

INOPIAE

2011-09-27 09:57

updater   ~0002534

logged out
main site - footer - "about us" link ->
https://cacert1.it-sls.de/index.php?id=12 [^]
clicked -> redirects to https://wiki.cacert.org/FAQ/AboutUs [^]
=> ok

main site - footer - "Donations" link ->
https://cacert1.it-sls.de/index.php?id=13 [^]
clicked -> redirects to https://cacert1.it-sls.de/index.php?id=13 [^] (Donations)
link under "strict guidelines" -> https://wiki.cacert.org/FAQ/DonationsGuideline [^]
redirects to https://wiki.cacert.org/FAQ/DonationsGuideline [^]
=> ok

login to regular user account with certificate
main site - footer - "about us" link ->
https://secure1.it-sls.de/account.php?id=37 [^]
clicked -> redirects to https://wiki.cacert.org/FAQ/AboutUs [^]
=> ok

main site - footer - "Donations" link ->
https://secure1.it-sls.de/account.php?id=38 [^]
clicked -> redirects to https://cacert1.it-sls.de/account.php?id=38 [^] (Donations)
link under "strict guidelines" -> https://wiki.cacert.org/FAQ/DonationsGuideline [^]
redirects to https://wiki.cacert.org/FAQ/DonationsGuideline [^]
=> ok

test completed successful

Uli60

2011-09-27 19:00

updater   ~0002539

tested by 3, test finished
needs 2nd review + deploy

NEOatNHNG

2011-11-17 18:25

administrator   ~0002701

Also the original links to the replaced pages should be updated. Fixed and uploaded to test server. Please do a second review and some tests.

Ted

2011-11-17 22:44

administrator   ~0002702

Last edited: 2011-11-17 22:44

View 2 revisions

Reviewed e44f633c59dcbf15003abd72dfe271ff83de624f vs. 1262ff0b1c8cf748c0dc6ed502d80c579ae672ca

Changes are OK. Is it intentional that the "Donations" link is not outsourced to the WiKi?

NEOatNHNG

2011-11-17 23:04

administrator   ~0002703

0000965:0002702: I think so. The donation page contains a PayPal button which in fact is a webform which submits a POST request once clicked. This would be difficult to do in the wiki. It might be a task for another non-critical infrastructure server which can run uncritical custom code like it's also proposed for CAP form generation and the like.

INOPIAE

2011-11-22 22:38

updater   ~0002717

logged out
main site - footer - "about us" link ->
https://cacert1.it-sls.de/index.php?id=12 [^] [^]
clicked -> redirects to https://wiki.cacert.org/FAQ/AboutUs [^] [^]
=> ok

main site - footer - "Donations" link ->
https://cacert1.it-sls.de/index.php?id=13 [^] [^]
clicked -> redirects to https://cacert1.it-sls.de/index.php?id=13 [^] [^] (Donations)
=> ok

login to regular user account with certificate
main site - footer - "about us" link ->
https://secure1.it-sls.de/account.php?id=37 [^] [^]
clicked -> redirects to https://wiki.cacert.org/FAQ/AboutUs [^] [^]
=> ok

main site - footer - "Donations" link ->
https://secure1.it-sls.de/account.php?id=38 [^] [^]
clicked -> redirects to https://cacert1.it-sls.de/account.php?id=38 [^] [^] (Donations)
=> ok

test completed successful

NEOatNHNG

2011-11-24 16:12

administrator   ~0002722

Mail sent to critical admins.

wytze

2011-11-25 11:33

developer   ~0002723

The fixes have been installed on the production server on November 25, 2011.
See also: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-11/msg00014.html

Werner Dworak

2012-12-21 05:21

updater   ~0003525

More than 3 month fixed and no complaints

Uli60

2013-03-01 23:54

updater   ~0003784

Last edited: 2013-03-02 00:02

View 2 revisions

https://cacert1.it-sls.de/index.php?id=17
shows still
Install a Root Certificate using Internet Explorer and the CEnroll ActiveX control. This avoids the Microsoft Certificate Installation wizard and all of its complexity and extra screens for users. This however will ONLY work for Microsoft Internet Explorer.

this problem has been referenced from bug#965 to bug#964 (Black Jack)
to be fixed under bug 0000964
and is still an issue

depends on source of call
proposal to create a wiki page and link to the wiki page ?!?
and make references to the wiki page?!?
create the wiki page with approbiate text that reflects current new
routine ?!?

Issue History

Date Modified Username Field Change
2011-07-28 12:04 Uli60 New Issue
2011-07-28 12:04 Uli60 Assigned To => Uli60
2011-07-28 12:05 Uli60 Note Added: 0002219
2011-07-28 12:05 Uli60 Status new => needs work
2011-07-28 12:06 Uli60 Relationship added child of 0000671
2011-07-28 12:14 Uli60 Additional Information Updated View Revisions
2011-07-28 12:28 Uli60 Note Edited: 0002219 View Revisions
2011-07-28 12:54 Uli60 Note Added: 0002220
2011-07-28 13:15 Uli60 Note Edited: 0002220 View Revisions
2011-07-28 15:14 Uli60 Note Added: 0002221
2011-07-28 15:14 Uli60 Note Edited: 0002219 View Revisions
2011-07-28 18:54 Uli60 Note Added: 0002222
2011-07-28 19:00 Uli60 Note Edited: 0002222 View Revisions
2011-07-28 19:01 Uli60 Relationship added related to 0000964
2011-07-28 19:01 Uli60 Note Edited: 0002219 View Revisions
2011-07-28 19:02 Uli60 Note Edited: 0002219 View Revisions
2011-07-28 19:03 Uli60 Summary Outsource Webdb text pages id=12, 13, 17 => Outsource Webdb text pages id=12, 13, (17)
2011-07-28 19:55 Uli60 Description Updated View Revisions
2011-07-28 21:35 Uli60 File Added: 12.php
2011-07-28 21:35 Uli60 File Added: 13.php
2011-07-28 21:35 Uli60 File Added: index.php
2011-07-28 21:37 Uli60 Note Added: 0002225
2011-07-28 21:37 Uli60 Status needs work => fix available
2011-07-28 21:40 Uli60 Summary Outsource Webdb text pages id=12, 13, (17) => Outsource / fix Webdb text pages id=12, 13, (17)
2011-08-02 20:32 Ted Assigned To Uli60 => Ted
2011-08-02 21:15 Ted Source_changeset_attached => cacert-devel master d44928bd
2011-08-02 21:15 Ted Note Added: 0002250
2011-08-02 21:15 Ted Status fix available => needs review & testing
2011-08-16 22:04 alex Note Added: 0002297
2011-08-16 22:07 alex Note Edited: 0002297 View Revisions
2011-08-23 12:30 Uli60 Relationship added related to 0000927
2011-08-23 12:32 Uli60 Relationship added related to 0000901
2011-08-23 12:34 Uli60 Relationship added related to 0000847
2011-08-31 00:22 Uli60 Note Added: 0002373
2011-08-31 00:22 Uli60 Note Edited: 0002373 View Revisions
2011-08-31 00:35 Uli60 File Added: 37.php
2011-08-31 00:35 Uli60 File Added: 38.php
2011-08-31 00:50 Uli60 File Added: account.php
2011-08-31 00:52 Uli60 Note Added: 0002374
2011-08-31 00:52 Uli60 Assigned To Ted => Uli60
2011-08-31 00:52 Uli60 Status needs review & testing => fix available
2011-09-20 20:08 Ted Assigned To Uli60 => Ted
2011-09-24 22:15 Source_changeset_attached => cacert-devel master ec17ffd1
2011-09-24 22:15 Ted Note Added: 0002506
2011-09-24 22:24 Ted Note Added: 0002507
2011-09-24 22:24 Ted Assigned To Ted =>
2011-09-24 22:24 Ted Status fix available => needs review & testing
2011-09-24 22:25 Ted Reviewed by => Ted
2011-09-24 22:25 Ted Note Added: 0002508
2011-09-25 00:27 Uli60 Note Added: 0002511
2011-09-27 09:57 INOPIAE Note Added: 0002534
2011-09-27 19:00 Uli60 Note Added: 0002539
2011-09-27 19:00 Uli60 Assigned To => Uli60
2011-09-27 19:00 Uli60 Status needs review & testing => ready to deploy
2011-09-27 23:12 NEOatNHNG Source_changeset_attached => cacert-devel testserver 67128651
2011-10-20 17:55 NEOatNHNG Assigned To Uli60 => NEOatNHNG
2011-11-17 18:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver 5bdf085a
2011-11-17 18:25 NEOatNHNG Source_changeset_attached => cacert-devel testserver e44f633c
2011-11-17 18:25 NEOatNHNG Note Added: 0002701
2011-11-17 18:25 NEOatNHNG Status ready to deploy => needs review & testing
2011-11-17 18:25 NEOatNHNG Assigned To NEOatNHNG => Ted
2011-11-17 18:26 NEOatNHNG Reviewed by Ted => NEOatNHNG
2011-11-17 22:44 Ted Reviewed by NEOatNHNG => Ted, NEOatNHNG
2011-11-17 22:44 Ted Note Added: 0002702
2011-11-17 22:44 Ted Status needs review & testing => needs testing
2011-11-17 22:44 Ted Note Edited: 0002702 View Revisions
2011-11-17 22:45 Ted Assigned To Ted =>
2011-11-17 23:04 NEOatNHNG Note Added: 0002703
2011-11-22 22:38 INOPIAE Note Added: 0002717
2011-11-24 16:12 NEOatNHNG Note Added: 0002722
2011-11-24 16:12 NEOatNHNG Assigned To => NEOatNHNG
2011-11-24 16:12 NEOatNHNG Status needs testing => ready to deploy
2011-11-24 16:30 NEOatNHNG Source_changeset_attached => cacert-devel release 8ce107ef
2011-11-24 16:30 NEOatNHNG Source_changeset_attached => cacert-devel release 57b85e20
2011-11-25 11:33 wytze Note Added: 0002723
2011-11-25 11:33 wytze Status ready to deploy => solved?
2011-11-25 11:33 wytze Resolution open => fixed
2012-12-21 05:21 Werner Dworak Note Added: 0003525
2012-12-21 05:21 Werner Dworak Status solved? => closed
2013-01-15 17:38 Werner Dworak Fixed in Version => 2011 Q4
2013-03-01 23:54 Uli60 Note Added: 0003784
2013-03-01 23:54 Uli60 Status closed => needs work
2013-03-01 23:55 Uli60 Relationship deleted related to 0000964
2013-03-01 23:55 Uli60 Relationship added child of 0000964
2013-03-02 00:02 Uli60 Note Edited: 0003784 View Revisions